# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-perl
BuildRequires: perl(overload.pm) perl-devel perl-podlators
# END SourceDeps(oneline)
Name:           perl-Language-Prolog-Types
Version:        0.10
Release:        alt1_4
Summary:        Prolog types in Perl
License:        GPL+ or Artistic
Group:          Development/Perl
URL:            http://search.cpan.org/dist/Language-Prolog-Types/
Source0:        http://www.cpan.org/authors/id/S/SA/SALVA/Language-Prolog-Types-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  perl(ExtUtils/MakeMaker.pm)
# Run-time
BuildRequires:  perl(Carp.pm)
BuildRequires:  perl(Exporter.pm)
# Tests only
BuildRequires:  perl(Test/More.pm)
Source44: import.info

%description
This module exports subroutines to create Prolog terms in Perl, to test
term types and also some utility functions to convert data between Prolog
and Perl explicitly.

%prep
%setup -q -n Language-Prolog-Types-%{version}
for F in README; do
    iconv -f iso8859-1 -t utf-8 < "$F" > "${F}.new"
    touch -r "$F" "${F}.new"
    mv "${F}.new" "$F"
done

%build
%{__perl} Makefile.PL INSTALLMAN1DIR=%_man1dir INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
make pure_install PERL_INSTALL_ROOT=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} \;
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null \;
# %{_fixperms} $RPM_BUILD_ROOT/*

%check
make test

%files
%doc Changes README
%{perl_vendor_privlib}/*

%changelog
* Mon Mar 04 2013 Igor Vlasenko <viy@altlinux.ru> 0.10-alt1_4
- update to new release by fcimport

* Tue Jul 31 2012 Igor Vlasenko <viy@altlinux.ru> 0.10-alt1_3
- update to new release by fcimport

* Wed May 23 2012 Igor Vlasenko <viy@altlinux.ru> 0.10-alt1_1
- fc import

